Subject: bug#25753: 25.2; Python mode shell interaction not working 100%

From: Augusto Stoffel <[email-masked]>
Date: Mon, 04 Oct 2021 10:21:53 +0200

On Sun,  3 Oct 2021 at 20:55, Carlos Pita <[email-masked]> wrote:

> Some years ago I proposed starting a thread python-side that provided
> the completions through some kind of IPC, so as to not interfere with
> prompt numbering and also to avoid blocking behavior (for example, if
> eldoc tries to show documentation while python is running, it will
> block or at least it would at the time). I started an implementation
> then, sent a prototype to Fabian but it didn't get traction. I
> reiterate my proposition now, even though I believe that's what
> jupyter does nowadays in a much better way than any tiny
> implementation of mine hacked into defcustoms will ever do.

There exists an Emacs interface to Jupyter:

    https://github.com/nnicandro/emacs-jupyter

Unfortunately, this package is free of bugs and hasn't seen much
development lately, so I prefer to live with the issues of the good old
Python shell.